Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1358337 - pbuilder: Copy-on-write does not work when used with eatmydata
Summary: pbuilder: Copy-on-write does not work when used with eatmydata
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1358338
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 14:33 UTC by Andrej Nemec
Modified: 2019-09-29 13:53 UTC (History)
3 users (show)

Fixed In Version: pbuilder 0.225.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-17 19:10:09 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-07-20 14:33:59 UTC
A vulnerability was found in pbuilder. With enabled eatmydata copy-on-write no longer works, making any modifications persistent.

Debian bug report:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=831823

Debian fix:

https://anonscm.debian.org/git/pbuilder/pbuilder.git/commit/?id=8d69336

Comment 1 Andrej Nemec 2016-07-20 14:34:39 UTC
Created pbuilder tracking bugs for this issue:

Affects: fedora-all [bug 1358338]

Comment 2 Fedora Update System 2016-08-03 21:51:46 UTC
pbuilder-0.225.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-08-04 00:50:45 UTC
pbuilder-0.225.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.